FROM python:3.12.0-slim

LABEL org.opencontainers.image.title="Dynavera Celery Worker"
LABEL org.opencontainers.image.source="https://git.cs.bham.ac.uk/projects-2025-26/vxn217"

ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

WORKDIR /app

RUN apt-get update && apt-get install --no-install-recommends -y \
	build-essential \
	libpq-dev \
	&& rm -rf /var/lib/apt/lists/*

COPY requirements/django.txt .
RUN pip install --no-cache-dir -r django.txt

COPY manage.py manage.py
COPY config config
COPY apps apps
COPY data data

RUN mkdir -p /app/static

CMD ["celery", "-A", "config.celery", "worker", "--loglevel=info"]